Skip to main content
GET
Retrieve a template

Authorizations

Authorization
string
header
required

An API key from the dashboard. sk_live_… sends; sk_test_… validates and returns ids without sending.

Path Parameters

id
string
required
Example:

"tpl_01j9x7k2r4m8q3v5n6b7c8d9e0"

Response

The template

id
string
required
Example:

"tpl_01j9x7k2r4m8q3v5n6b7c8d9e0"

name
string
required
Example:

"order-shipped"

subject
string
required
html
string | null
required
text
string | null
required
variables
string[]
required

Placeholder names found in the subject, html and text.

Example:
version
integer
required
Example:

1

createdAt
string<date-time>
required
updatedAt
string<date-time>
required